GET openApi/students/{userIdentifier}/followUpActivities?Count={Count}&Offset={Offset}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| Count | integer |
None. |
|
| Offset | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "fdae27be-20d3-4e63-8780-918de1369f6b",
"StudentId": "6292d74c-0ebf-425c-8d20-36a4a3baad8a",
"ReporterId": "59b472cc-ce9d-4bf4-bd3d-b241f21b9aa4",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-05-14T21:06:40.3325278+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "3722c79c-793c-4fcb-b407-6991f303c2f7",
"Name": "sample string 2"
}
},
{
"Id": "fdae27be-20d3-4e63-8780-918de1369f6b",
"StudentId": "6292d74c-0ebf-425c-8d20-36a4a3baad8a",
"ReporterId": "59b472cc-ce9d-4bf4-bd3d-b241f21b9aa4",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-05-14T21:06:40.3325278+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "3722c79c-793c-4fcb-b407-6991f303c2f7",
"Name": "sample string 2"
}
}
]